# PXML_HTTP Class Reference

`#include <pxml.h>`

Inheritance diagram for PXML_HTTP:

List of all members.

## Public Member Functions

| PXML_HTTP (int options=NoOptions, const char *noIndentElements=NULL)
bool | StartAutoReloadURL (const PURL &url, const PTimeInterval &timeout, const PTimeInterval &refreshTime, Options options=NoOptions)
bool | StopAutoReloadURL ()
PString | GetAutoReloadStatus ()
bool | AutoLoadURL ()
virtual void | OnAutoLoad (PBoolean ok)
bool | LoadURL (const PURL &url)
bool | LoadURL (const PURL &url, const PTimeInterval &timeout, Options options=NoOptions)

## Protected Member Functions

| PDECLARE_NOTIFIER (PTimer, PXML_HTTP, AutoReloadTimeout)
| PDECLARE_NOTIFIER (PThread, PXML_HTTP, AutoReloadThread)

## Protected Attributes

PTimer | autoLoadTimer
PURL | autoloadURL
PTimeInterval | autoLoadWaitTime
PMutex | autoLoadMutex
PString | autoLoadError

## Constructor & Destructor Documentation

PXML_HTTP::PXML_HTTP | ( | int | options = `NoOptions`,
|  | const char * | noIndentElements = `NULL` |
| ) |  |  |

## Member Function Documentation

bool PXML_HTTP::AutoLoadURL | ( |  | ) |

PString PXML_HTTP::GetAutoReloadStatus | ( |  | ) | `[inline]`

bool PXML_HTTP::LoadURL | ( | const PURL & | url,
|  | const PTimeInterval & | timeout,
|  | Options | options = `NoOptions` |
| ) |  |  |

bool PXML_HTTP::LoadURL | ( | const PURL & | url | ) |

virtual void PXML_HTTP::OnAutoLoad | ( | PBoolean | ok | ) | `[virtual]`

PXML_HTTP::PDECLARE_NOTIFIER | ( | PThread | ,
|  | PXML_HTTP | ,
|  | AutoReloadThread |  |
| ) |  |  | `[protected]`

PXML_HTTP::PDECLARE_NOTIFIER | ( | PTimer | ,
|  | PXML_HTTP | ,
|  | AutoReloadTimeout |  |
| ) |  |  | `[protected]`

bool PXML_HTTP::StartAutoReloadURL | ( | const PURL & | url,
|  | const PTimeInterval & | timeout,
|  | const PTimeInterval & | refreshTime,
|  | Options | options = `NoOptions` |
| ) |  |  |

bool PXML_HTTP::StopAutoReloadURL | ( |  | ) |

## Member Data Documentation

PString PXML_HTTP::autoLoadError `[protected]`

PMutex PXML_HTTP::autoLoadMutex `[protected]`

PTimer PXML_HTTP::autoLoadTimer `[protected]`

PURL PXML_HTTP::autoloadURL `[protected]`

PTimeInterval PXML_HTTP::autoLoadWaitTime `[protected]`

The documentation for this class was generated from the following file:

- pxml.h